Jump to content

Sign in to follow this  
RXP

GTN Trainer 6.50.1 download links (02JUL19 update)

Recommended Posts

Hi,

Garmin has released a new GTN trainer 6.62 and we're very excited with this.

We're currently working on the update to make our GTN product compatible and we're sorry for the inconvenience with the RXP installer failing to download the latest trainer for now. In the meantime, you can download the previous trainer compatible with our current v2.5.18

Latest compatible standalone GTN trainer installer 6.50.1 (as individual components):

http://download.garmin.com/avtrainer/launcher/2.3.1.0/Launcher.Setup.msi
http://download.garmin.com/avtrainer/gtn/6.50.1.0/GTN.Setup.msi

Latest compatible database installer 6.62.0 (as individual components):

http://download.garmin.com/avtrainer/databases/2.4.0.0/Databases.Setup.msi
http://download.garmin.com/avtrainer/databases/2.4.0.0/DBs1.cab
http://download.garmin.com/avtrainer/databases/2.4.0.0/DBs2.cab
http://download.garmin.com/avtrainer/databases/2.4.0.0/DBs3.cab
http://download.garmin.com/avtrainer/databases/2.4.0.0/DBs4.cab
http://download.garmin.com/avtrainer/databases/2.4.0.0/DBs5.cab
http://download.garmin.com/avtrainer/databases/2.4.0.0/DBs6.cab
http://download.garmin.com/avtrainer/databases/2.4.0.0/DBs7.cab

 

[ADDENDUM - 02JUL19]

The trainer is necessary but not all trainers will work. The list of compatible trainer versions is documented in the RXP GTN User's Manual but some of them are no longer available for download. The oldest compatible version is GTN trainer 6.21 which link is still available. It runs fine with the latest database released a few days ago as well.

If any of the links above don't work, you can still install an older version during the time we work on the update:


Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Share this post


Link to post
Share on other sites

I seem to be in bad luck. I just today decided to give the GTN plugin another try and found out that it stopped working. I do not want to download the old trainer. I can wait.

Any time schedule for the new version that can use the new trainer?

Share this post


Link to post
Share on other sites

How soon is the question and for now I can only say that besides support we're allocating all resources on this (yes this means the G500 gets another delay as well).

It doesn't seem too much changing from trainer v6.50.1 so far, but we won't know for sure until 100% done.

Besides, the version posted above is the latest supported version, which is the same as the only one available no later than last week. The links above (updated) gives you the latest compatible trainer, as well as the latest updated database (current as of JUN19)


Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Share this post


Link to post
Share on other sites

Thanks. But before uninstalling a nicely working trainer, downloading 10 files and reinstalling, I'd rather wait. It is not that important to me.

Share this post


Link to post
Share on other sites

As best I can tell, the included navdata is the 1809 cycle.. is that what you are seeing as well?

  • Like 1

Bert

Share this post


Link to post
Share on other sites

Hi Bert, I didn't pay attention I was testing with another database...

Yes I was mistaken and you are right, it is cycle 1809 which now also includes charts for Canada!

  • Like 1

Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...